.base {
    font-family: Roboto, Arial, sans-serif;
    display: grid;
    grid-template-rows: max-content auto;
    margin: 0;
}
/*<--- TOP-BAR --->*/
.top-bar {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 10px 25px;
}
.top-left {
    display: inline-flex;
    align-items: center;
}
.top-right {
    display: inline-flex;
    justify-self: flex-end;
    align-items: center;
}
.security {
    color: #008FE4;
    padding-right: 25px;
    font-size: 1.5em;
}
.reminder {
    color: gray;
    font-weight: bold;
}
.review {
    color: #008FE4;
    padding-left: 35px;
    font-weight: bold;
}
/*<--- MIDDLE-BAR --->*/
.middle-bar {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    justify-content: space-around;
    border-top: solid 1px lightgray;
    border-bottom: solid 1px lightgray;
    padding: 5px 16px;
}
.middle-left {
    display: inline-flex;
    align-items: center;
}
.middle-center {
    display: grid;
    grid-template-columns: 85% 10%;
    align-items: center;
}
.middle-right {
    justify-self: flex-end;
    display: inline-flex;
    align-items: center;
}
.menu-icon {
    color: gray;
    font-size: 1em;
    margin: 0px 16px 0px 0px;
    padding: 8px;
}
.searchbar {
    align-items: center;
    padding: 8px;
    border: 1px solid lightgray;
    color: gray;
}
.magnify {
    color: gray;
    background-color:  rgb(240, 235, 235);
    border-top: 1px solid lightgray;
    border-right: 1px solid lightgray;
    border-bottom: 1px solid lightgray;
    align-items: center;
    padding: 8px;
    text-align: center;
}
.middle-right-icon {
    color: gray;
    font-size: 1em;
    padding: 8px 16px;
}
.middle-right-icon-last {
    color: gray;
    font-size: 1em;
    padding: 8px 32px 8px 16px;
}
.button {
    display: inline-flex;
    border: 2px solid #008FE4;
    align-items: center;
    border-radius: 3px;
    padding: 5px;
}
.avatar {
    color: #008FE4;
    font-size: 1.5em;
}
.avatar-text {
    color: #008FE4;
    font-weight: bold;
    padding-left: 10px;
}
/*<--- MAIN-BOARD --->*/
.main-board {
    display: grid;
    grid-template-columns: max-content auto;
}
/*<--- LEFT-SIDE --->*/
.left-board {
    width: 250px;
    background-color: #f5f4f4;
}
.left-block-1 {
    padding: 12px 0px;
    display: flex;
    flex-direction: column;
}
.home-row {
    display: flex;
    flex-direction: row;
    height: 48px;
    padding: 0px 24px;
    background-color: #DCDCDC ;
    align-items: center;
}
.home-icon {
    color: red;
    font-size: 1.2em;
    margin: 0px 24px 0px 0px;
}
.row {
    display: flex;
    flex-direction: row;
    height: 48px;
    padding: 0px 24px;
    align-items: center;
}
.trending-icon {
    color: gray;
    font-size: 1.2em;
    margin: 0px 30px 0px 0px;
}
.left-board-icon {
    color: gray;
    font-size: 1.2em;
    margin: 0px 24px 0px 0px;
}
.left-block-2 {
    padding: 12px 0px;
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
}
.left-block-3 {
    padding: 12px 0px;
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
}
.block-3-elements {
    padding: 12px 24px;
    align-items: center;
}
.block-3-text {
    padding-bottom: 12px;
}
.left-block-4 {
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
}
.text-row {
    display: flex;
    flex-direction: row;
    height: 40px;
    padding: 0px 24px;
    align-items: center;
}
.text {
    color: #696969;
    font-weight: bold;
    font-size: 0.9em;
}
.game-icon {
    color: gray;
    font-size: 1.2em;
    margin: 0px 20px 0px 0px;
}
.live-icon {
    color: gray;
    font-size: 1.2em;
    margin: 0px 30px 0px 0px;
}
.left-block-5 {
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
}
.left-block-6 {
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
}
.left-block-7 {
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
}
.left-block-8 {
    padding: 12px 0px;
    display: flex;
    flex-direction: column;
    border-top: 1px solid lightgray;
    font-size: small;
    font-weight: bold;
    color: gray;
}
.block-8-row {
    display: flex;
    flex-direction: row;
    padding: 0px 24px;
    align-items: center;
}
.block-8-row-center {
    display: flex;
    flex-direction: row;
    padding: 3px 24px;
    align-items: center;
}
.block-8-element {
    padding-left: 10px;
}
.left-block-9 {
    padding: 0px 0px 12px 0px;
    display: flex;
    flex-direction: column;
    font-size: small;
    font-weight: bold;
    color: gray;
}
.block-9-row {
    padding-bottom: 12px;
    display: flex;
    flex-direction: row;
    padding: 0px 24px;
    align-items: center;
}
.block-9-row-center {
    display: flex;
    flex-direction: row;
    padding: 3px 24px 0px 24px;
    align-items: center;
}
.block-9-element {
    padding-left: 10px;
}
.left-block-10 {
    font-size: small;
    color: rgb(189, 185, 185);
}
.block-10-row {
    display: flex;
    flex-direction: row;
    padding: 12px 24px;
    align-items: center;
}
/*<--- TOP-RIGHT-SIDE --->*/
.right-top-bar {
    display: grid;
    grid-template-columns: 2fr 1fr;
    background-color: #f1faff;
    padding: 16px 25px;
}
.right-top-left {
    display: inline-flex;
    align-items: center;
}
.right-top-right {
    display: inline-flex;
    justify-self: flex-end;
    align-items: center;
    color: #008FE4;
    font-weight: bold;
}
.security-info {
    color: gray;
    padding-right: 25px;
    font-size: 1.5em;
}
.terms-review {
    padding-left: 35px;
}
.right-block-1 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    background: linear-gradient(rgba(252, 249, 249, 0.7), rgba(253, 251, 251, 0.8)), url("Icons/Symbol_Square.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 450px 280px;
}
.block-1-left {
    padding: 50px 0px 50px 50px;
}
.block-1-right {
    justify-self: flex-end;
    padding-top: 15px;
    padding-right: 15px;
}
.ad-text {
    font-size: 2.5em;
    font-weight: bold;
    padding: 20px 0px;
}
.ad-button {
    font-weight: bold;
    border: 2px solid black;
    padding: 10px;
    width: 5em;
    text-align: center;
    border-radius: 3px;
}
.delete-button {
    font-size: 1.2em;
    font-weight: bold;
    background-color: gainsboro;
    padding: 3px 5px;
}
.right-block-2 {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-auto-rows: max-content;
    padding: 50px;
    background-color: #fafafa;
}
.right-row {
    display: grid;
    grid-template-rows: repeat(2, auto);
    grid-auto-rows: max-content;
    border-bottom: 1px solid lightgray;
}
.right-title-row-trending {
    padding: 25px 0px;
    font-weight: bold;
}
.right-video-row {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-auto-columns: max-content;
}
.right-video-column {
    margin: 0px 0px 40px;
}
iframe {
    border: none;
}
.video-title {
    padding: 10px 10px 10px 0px;
    font-weight: bold;
}
.video-text {
    display: inline-flex;
    padding-bottom: 10px;
    color: gray;
}
.video-icon {
    padding: 0px 5px;
}
.video-views {
    color: gray;
}
.right-title-row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 20px 0px;
    align-items: center;
}
.right-title-left {
    display: inline-flex;
    align-items: center;
}
.right-title-author {
    font-weight: bold;
    padding: 0px 10px;
}
.right-title-text {
    color: gray;
}
.photo {
    border-radius: 50%;
}
.right-title-right {
    justify-self: flex-end;
}
.subscribe-button {
    background-color: red;
    color: white;
    padding: 10px 15px;
    font-weight: bold;  
}